org.apache.pdfbox.cos

## Class COSDocumentState

- java.lang.Object
- - org.apache.pdfbox.cos.COSDocumentState

    public class COSDocumentState
    extends Object

An instance of `COSDocumentState` collects all known states a `COSDocument` may have and shall allow their evaluation.

Author:
  Christian Appl
See Also:
  `COSDocument`

### Constructor Summary

Constructors
Constructor and Description
`COSDocumentState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAcceptingUpdates()` Returns `true`, if the document´s `parsing` is completed and it may be updated.
`void` `setParsing(boolean parsing)` Sets the `parsing` state of the document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### COSDocumentState

    public COSDocumentState()

### Method Detail

#### setParsing

    public void setParsing(boolean parsing)

Sets the `parsing` state of the document.

Parameters:
  `parsing` - The `parsing` state to set.

#### isAcceptingUpdates

    public boolean isAcceptingUpdates()

Returns `true`, if the document´s `parsing` is completed and it may be updated.

Returns:
  `true`, if the document´s `parsing` is completed and it may be updated.